// etapa.h - Klasa etapa vonje.

#ifndef _etapa_h_
#define _etapa_h_

class Etapa {
  float duz, brz;             // Duina etape i brzina vonje.
public:
  Etapa () { duz = brz = 0; }                   // "Prazna" etapa.
  Etapa(float d, float b) { duz = d, brz = b; } // Inicijalizacija.
  float duzina() const  { return duz; }         // Duina etape.
  float brzina() const  { return brz; }         // Brzina vonje.
  float vreme() const  { return duz / brz; }    // Vreme vonje.
};

#endif
