// fun2.h - Apstraktna klasa funkcija.

#ifndef _fun_h_
#define _fun_h_

#include "greska.h"
using Usluge::Greska;

namespace Funkcije {
  class GNemaInt: public Greska {                   // KLASA GREAKA:
  public:
    GNemaInt(): Greska("Funkcija nema integral") {} // Konstruktor.
  }; // class GNemaInt

  class Fun {                                       // KLASA FUNKCIJA:
  public:
    virtual ~Fun() {}                               // Virtuelan destr.
    virtual double operator()(double x) const =0;   // Racunanje funkcije.
    virtual double I(double x) const                // Racunanje integrala.
      { throw GNemaInt(); return 0; }
  }; // class Fun
} // namespace Funkcije

#endif
