// kvadar5.h - Klasa kvadara.

#ifndef _kvadar5_h_
#define _kvadar5_h_

#include "telo2.h"

namespace Predmeti {
  class Kvadar: public Telo { double a, b, c;            // Ivice.
  public:
    Kvadar(double aa=1, double bb=1, double cc=1,        // Stvaranje.
      double ss=1): Telo(ss) { a = aa; b = bb; c = cc; }
    Kvadar* kopija() const { return new Kvadar(*this); } // Kopiranje.
    double V() const { return a * b * c; }               // Zapremina.
  private:
    void pisi(ostream& it) const                         // Pisanje.
      { Telo::pisi(it); it << a << ',' << b << ',' << c << ')'; }
  }; // class Kvadar
} // namespace Predmeti

#endif
