// osoba1.h - Definicija klase osoba.

#include "jmbg.h"
#include <cstring>
#include <iostream>
using namespace std;

class Osoba {
  char* ime;                                  // Ime osobe.
  JMBG jmbg;                                  // Jedinstveni maticni broj.
public:
  Osoba(const char* i, JMBG j): jmbg(j)       // Stvaranje.
    { ime = new char [strlen(i)+1]; strcpy(ime, i); }
  Osoba(const Osoba& oso): jmbg(oso.jmbg)     // Konstruktor kopije.
    { ime=new char [strlen(oso.ime)+1]; strcpy(ime, oso.ime); }
  ~Osoba() { delete [] ime; }                 // Destruktor.
  const char* dohvIme() const { return ime; } // Dohvatanje imena.
  JMBG dohvJMGB() const { return jmbg; }      // Dohvatanje JBMG.
  void pisi() const                           // Pisanje.
    { cout << ime << '('; jmbg.pisi(); cout << ')'; }
};
