/* presek.c - Presek dva skupa. */

#include <stdio.h>
#include <stdlib.h>

typedef struct { int vel; double *niz; } Skup;

Skup presek(Skup s1, Skup s2) {
  Skup s; int i, j, k, vel = (s1.vel<s2.vel ? s1.vel : s2.vel);
  double *niz = malloc(vel*sizeof(double));
  for (i=k=0; i<s1.vel; i++) {
    for (j=0; j<s2.vel && s2.niz[j]!=s1.niz[i]; j++);
    if (j < s2.vel) niz[k++] = s2.niz[j];
  }
  s.vel = k; s.niz = realloc(niz, k*sizeof(double));
  return s;
}

void main() {
  Skup s1, s2, s; int i;
  while (scanf("%d", &s1.vel), s1.vel>=0) {
    s1.niz = malloc(s1.vel*sizeof(double));
    for (i=0; i<s1.vel; scanf("%lf",&s1.niz[i++]));
    scanf("%d", &s2.vel);
    s2.niz = malloc(s2.vel*sizeof(double));
    for (i=0; i<s2.vel; scanf("%lf",&s2.niz[i++]));
    s = presek(s1, s2);
    for (i=0; i<s.vel; printf("%lf ", s.niz[i++])); putchar('\n');
    free(s1.niz); free(s2.niz); free(s.niz);
  }
}
