// pvozilo.h - Klasa putnickih vozila.

#ifndef _pvozilo_h_
#define _pvozilo_h_

#include "vozilo1.h"

class PVozilo: public Vozilo {
  const Osoba** osobe;                              // Niz osoba.
  int kap;                                          // Kapacitet vozila.
public:
  PVozilo(const Osoba* vozac, float sopTez, int k); // Konstruktor.
  ~PVozilo() { delete [] osobe; }                   // Destruktor.
  char vrsta() const { return 'P'; }                // Oznaka vrste vozila.
  bool operator+=(const Osoba* putnik);             // Ulazak putnika.
  bool operator-=(const Osoba* putnik);             // Izlazak putnika.
  float tezina() const;                             // Ukupna teina.
private:
  void pisi(ostream& it) const;                     // Pisanje.
};

#endif
