// sfera2.h - Klasa sfera.

#ifndef _sfera2_h_
#define _sfera2_h_

#include "telo1.h"

class Sfera: public Telo {
  double r;                                                // Poluprecnik
public:
  explicit Sfera(double rr=1) { r = rr; }                  // Konstruktor.
  char vrsta() const { return 'S'; }                       // Oznaka vrste.
  double V() const { return 4 * r*r*r * 3.14159 / 3; }     // Zapremina.
    
  Sfera* kopija() const { return new Sfera(*this); }       // Kopiranje.
private:
  void pisi(ostream& it) const { it << "S(" << r << ')'; } // Pisanje.
};

#endif
