// vagon.C - Metode klase vagona.

#include "vagon.h"

void Vagon::pisi(ostream& it) const {               // Pisanje.
  it << "V(" << ukTezina() << "|";
  for (int i=0; i<tereti.duzina(); i++) {
    if (i > 0) it << ',';
    it << tereti[i];
  }
  it << ')';
}

double Vagon::ukTezina() const {                    // Ukupna teina.
  double t = Vozilo::ukTezina();
  for (int i=0; i<tereti.duzina(); i++)
    t += tereti[i].tezina();
  return t;
}
