// vagon.h - Klasa vagona.

#ifndef _vagon_h_
#define _vagon_h_

#include "vozilo4.h"
#include "niz6.h"
#include "teret.h"

class Vagon: public Vozilo {
  Niz<Teret> tereti;                                // Niz tereta.
  void pisi(ostream& it) const;                     // Pisanje.
public:
  Vagon(double st, int k): Vozilo(st), tereti(k) {} // Stvaranje.
  Vagon& operator+=(Teret* t)        // Preuzimanje tereta po adresi.
    { tereti += t; return *this; }
  double ukTezina() const;                          // Ukupna teina.
  double vucnaSnaga() const { return 0; }           // Vucna snaga.
};

#endif
