// vozilat.C - Ispitivanje klasa vozila.

#include "tvozilo.h"
#include "pvozilo.h"
#include <iostream>
using namespace std;

int main() {
  Vozilo* vozila[100]; int brVozila = 0;
  Osoba*  osobe[100];  int brOsoba  = 0;
  while (true) {
    cout << "\nVrsta vozila (T,P,*)? "; char vrs; cin >> vrs;
  if (vrs == '*') break;
    cout << "Ime vozaca?           "; char  ime[30]; cin >> ime;
    cout << "Tezina vozaca?        "; float tezina ; cin >> tezina;
    Osoba* vozac = osobe[brOsoba++] = new Osoba(ime, tezina);
    cout << "Tezina vozila?        "; float tezVozila; cin >> tezVozila;
    switch (vrs) {
      case 't': case 'T': {
        cout << "Nosivost vozila?      "; float nosivost; cin >> nosivost;
        TVozilo* tv = new TVozilo(vozac, tezVozila, nosivost);
        cout << "Tezina tereta?        "; float teret; cin >> teret;
        *tv += teret;
        vozila[brVozila++] = tv;
        break;
      }
      case 'p': case 'P': {
        cout << "Broj mesta?           "; int brMesta; cin >>brMesta;
        PVozilo* pv = new PVozilo(vozac, tezVozila, brMesta);
        while (true) {
          cout << "Ime putnika?          "; char  putnik[30]; cin >> putnik;
        if (putnik[0] == '*') break;
          cout << "Tezina putnika?       "; float tezina;     cin >> tezina;
          *pv += osobe[brOsoba++] = new Osoba(putnik, tezina);
        }
        vozila[brVozila++] = pv;
        break;
      }
      default:
        cout << "*** Nepoznata vrsta vozila! ***\n";
    }
  }
  cout << "\nNosivost mosta?       "; double nosivost; cin >> nosivost;
  cout << "\nMogu da predju most:\n";
  for (int i=0; i<brVozila; i++)
    if (vozila[i]->tezina() <= nosivost)
      cout << *vozila[i] << " - " << vozila[i]->tezina() << endl;
  for (int i=0; i<brVozila; delete vozila[i++]);
  for (int i=0; i<brOsoba;  delete osobe [i++]);
  return 0;
}
