// font.C - Metode klase fontova.

#include "font.h"

void Font::kopiraj(const Font& f) {        // Kopiranje u objekat.
  prvi = posl = 0; brSimb = f.brSimb;
  Elem *tek = prvi, *pret = 0;
  for (Elem *tek=f.prvi; tek; tek=tek->sled)
    posl = (!prvi ? prvi : posl->sled) = new Elem(tek->sim);
}

void Font::brisi() {                       // Brisanje objekta.
  while (prvi) { Elem* stari = prvi; prvi = prvi->sled; delete stari; }
}

Simbol& Font::operator[](char zn) {        // Pristup znaku nepromenljivog
  for (Elem* tek=prvi; tek; tek=tek->sled) //   fonta.
    if (tek->sim.znak() == zn) return tek->sim;
  throw GNema();
}
