// listadat.h - Definicija klase listi datuma.

#include "datum2.h"

class Lista {
  struct Elem {                    // ELEMENT LISTE:
    Datum dat;                     // - sadrani datum,
    Elem* sled;                    // - pokazivac na sledeci element,
    Elem const(const Datum& d)     // - konstruktor.
      { dat = d; sled = 0; }
  };
  Elem *prvi, *posl;               // Pokazivac na pocetak i kraj liste.
  int duz;                         // Duina liste.
public:                                 // Konstruktori:
  Lista() { prvi = posl = 0; duz = 0; } // - podrazumevani,
  Lista(const Lista& lst);              // - kopije.
  ~Lista();                             // Destruktor.
  Lista& dodaj(const Datum& dat) {      // Dodavanje datuma.
    posl = (!prvi ? prvi : posl->sled) = new Elem(dat);
    duz++;
    return *this;
  }
  int duzina() const { return duz; }    // Duina liste.
  const Datum* max() const;             // Najkasniji (sveiji) datum.
  void pisi() const;                    // Pisanje  liste.
};
