// redveza.C - Metode i funkcije uz klasu rednih veza otpornika.

#include "redveza.h"

void RedVeza::kopiraj(const RedVeza& rv) { // Kopiranje u objekat.
  niz = new Otpornik [kap = rv.kap];
  duz = rv.duz;
  for (int i=0; i<duz; i++) niz[i] = rv.niz[i];
}

double RedVeza::otp() const {              // Otpornost veze.
  double r = 0;
  for (int i=0; i<duz; r+=niz[i++].otp());
  return r;
}
 
RedVeza& RedVeza::izbaci() {      // Izbacivanje nultih otpornosti.
  int j=0;
  for (int i=0; i<duz; i++)
    if (niz[i].otp()) niz[j++] = niz[i];
  duz = j;
  return *this;
}

ostream& operator<<(ostream& it, const RedVeza& rv) {     // Pisanje.
  for (int i=0; i<rv.duz; i++) {
    if (i) it << '+';
    it << rv.niz[i];
  }
  return it;
}
