// sfera4.h - Klasa sfera.

#ifndef _sfera4_h_
#define _sfera4_h_

#include "telo2.h"

namespace Predmeti {
  class Sfera: public Telo {
    double r;                                   // Poluprecnik.
  public:
    Sfera(double rr=1, double ss=1)             // Stvaranje.
      : Telo(ss) { r = rr; }
    Sfera* kopija() const                       // Kopiranje.
      { return new Sfera(*this); }
    double V() const                            // Zapremina.
      { return 4 * r * r * r * 3.14159 / 3; }
  private:
    void pisi(ostream& it) const                // Pisanje.
      { Telo::pisi(it); it << r << ')'; }
  }; // class Sfera
} // namespace Predmeti

#endif
