// voz2.C - Metode i funkcije uz klasu vozova.

#include "voz2.h"

bool Voz::preopt(Vozilo* v) const {     // Da li bi se preopteretio?
  double teret = 0, snaga = 0;
  for (int i=0; i<vozila.duzina(); i++) {
    teret += vozila[i].ukTezina();
    snaga += vozila[i].vucnaSnaga();
  }
  return teret + v->ukTezina() > snaga + v->vucnaSnaga();
}

ostream& operator<<(ostream& it, const Voz& v) { // Pisanje.
  for (int i=0; i<v.vozila.duzina(); i++) it << v.vozila[i] << endl;
  return it;
}
